services:
  db:
    extends:
      file: ./docker/compose/services.yml
      service: db-common
    volumes:
      - "./docker/mysql/conf.d:/etc/mysql/conf.d"
      - "./docker/mysql/data:/var/lib/mysql"
    environment:
      - MYSQL_ROOT_PASSWORD=${DB_ROOT_PASSWORD}
      - MYSQL_DATABASE=${DB_NAME}
      - MYSQL_USER=${DB_USER}
      - MYSQL_PASSWORD=${DB_PASSWORD}

  www:
    extends:
      file: ./docker/compose/services.yml
      service: www-common
    ports:
      - "80:80"
      - "443:443"
    volumes:
      - "./docker/www/vhosts-local:/etc/apache2/sites-enabled"
      - "./docker/logs/apache2:/var/log/apache2"

  phpmyadmin:
    extends:
      file: ./docker/compose/services.yml
      service: phpmyadmin-common

  maildev:
    extends:
      file: ./docker/compose/services.yml
      service: maildev-common

  node:
    extends:
      file: ./docker/compose/services.yml
      service: node-common
